# Interface Projection

All Superinterfaces:
  `Conversion, CoordinateOperation, IdentifiedObject, SingleOperation`

All Known Subinterfaces:
  `ConicProjection, CylindricalProjection, PlanarProjection`

public interface Projection extends Conversion
A conversion transforming (longitude,latitude) coordinates to cartesian coordinates (x,y). Although some map projections can be represented as a geometric process, in general a map projection is a set of formulae that converts geodetic latitude and longitude to plane (map) coordinates. Height plays no role in this process, which is entirely two-dimensional. The same map projection can be applied to many geographic CRSs, resulting in many projected CRSs each of which is related to the same geodetic datum as the geographic CRS on which it was based.

An unofficial list of projections and their parameters can be found there. Most projections expect the following parameters: `"semi_major"` (mandatory), `"semi_minor"` (mandatory), `"central_meridian"` (default to 0), `"latitude_of_origin"` (default to 0), `"scale_factor"` (default to 1), `"false_easting"` (default to 0) and `"false_northing"` (default to 0).

Since:
  1.0
See Also:
  - `ProjectedCRS`
  - Map projections on MathWorld

- ## Field Summary

  ### Fields inherited from interface CoordinateOperation

  `COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, SCOPE_KEY`

  ### Fields inherited from interface IdentifiedObject

  `ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

- ## Method Summary

  ### Methods inherited from interface Conversion

  `getOperationVersion, getSourceCRS, getTargetCRS`

  ### Methods inherited from interface CoordinateOperation

  `getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getScope`

  ### Methods inherited from interface IdentifiedObject

  `getAlias, getIdentifiers, getName, getRemarks, toWKT`

  ### Methods inherited from interface SingleOperation

  `getMethod, getParameterValues`